eliminate modal dialog window, move to activity manager entry, to avoid frequent interruptions by popup saying "Cannot move messages to folder <name> because another operation is in progress" [pop3]

NEW
Unassigned

Status

Thunderbird
Mail Window Front End
--
major
13 years ago
4 months ago

People

(Reporter: John David Galt, Unassigned)

Tracking

(Depends on: 1 bug, Blocks: 1 bug)

Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

13 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1
Build Identifier: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1

I have several filters on Inbox that send mail to the Junk folder if it has
certain words in the subject or From fields.  Often, when dialing in and
downloading a large number of messages, this results in the error message
"Cannot move messages to folder Junk because another operation is in progress."
 This also sometimes appears when I manually mark messages as Junk in the
message list pane.

What makes this a problem is that, for no apparent reason, somebody on this
project has made that message a modal dialog box, thus forcing me to stop what
I'm doing and click OK, often again and again and again.

Please move this message to the bottom status bar so that I can ignore it, or at
least provide an option setting to have this happen.  There is absolutely no
need for the interruption and it's a pain in the backside.

Reproducible: Sometimes

Steps to Reproduce:
(Reporter)

Updated

13 years ago
Summary: frequent interruptions by popup saying "Cannot move messages to folder Junk because another operation is in progress" → frequent interruptions by popup saying "Cannot move messages to folder <name> because another operation is in progress"
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
(Reporter)

Comment 2

12 years ago
Still happens in Thunderbird version 1.0.6 (20050716).  This is a real problem
that needs to be fixed; would someone with the power to "confirm" a bug please
do so.

Comment 3

11 years ago
(In reply to comment #2)
> Still happens in Thunderbird version 1.0.6 (20050716).  This is a real problem
> that needs to be fixed; would someone with the power to "confirm" a bug please
> do so.

see this bug : https://bugzilla.mozilla.org/show_bug.cgi?id=235122
(Reporter)

Comment 4

11 years ago
(In reply to comment #3)

Thanks for the pointer, but this is not a duplicate since it is about the pop-up itself, not the copying error that produces it.
QA Contact: front-end
Reporter, does the issue still occur with the latest supported 2.0.0.x / Shredder trunk nightlies?

(1.5.0.x is now end-of-life and the latest supported Thunderbird version 2 is 2.0.0.16)
Whiteboard: closeme 2008-08-28
(Reporter)

Comment 6

9 years ago
I don't see the same message any more, but less frequently I get another popup which may or may not come from the same code: "This folder is being processed.  Please wait until processing is complete to get messages."

Under certain conditions I can reliably make this new popup appear when not called for.  In particular, when switching to offline mode, if I say yes to "Download messages for offline use", then at the end of downloading POP mail, it appears.  (I also have RSS and some newsgroups set to download for offline use.)  I can't tell if this is the same or a different bug.
Wayne, thoughts?

I think I've seen the "This folder is being processed. Please wait until processing is complete to get messages." message appear before. To trigger, just select "Get All Mail", and while it is in the middle of processing, select "Get All Mail" again.

However, this may just be intended behaviour.
Assignee: mscott → nobody
Keywords: qawanted
Whiteboard: closeme 2008-08-28

Comment 8

9 years ago
I've seen the message john describes.  Perhaps the message text has changed?
It is rare for me, perhaps because of my fast network connections.
Confirming due to comment #7 and comment #8.

Bryan, another dialog to consider?
Status: UNCONFIRMED → NEW
Ever confirmed: true
Version: 1.0 → Trunk

Comment 10

9 years ago
I frequently (daily) get the message "This message could not be filtered to folder 'Inbox' because another operation is in progress." At this point, all mail activities halt until I click "OK." This can occur several times when I first connect because multiple accounts are downloading messages.

Can I --

A. Configure Tbird to download one account at a time at startup? Serial download.
or
B. Suppress the error message so that processing continues?

Either one will work for me as a solution.

version 2.0.0.17 (20080914)

Fred

Comment 11

9 years ago
2008.10.02 -- 08:39

Had to click "OK" seven times for Tbird to complete the mail download.

Fred
The UI part is going to depend on the new interactive status bar / activity manager (bug 257942).  We need some way of showing what is happening while filtering or moving messages without using these modal dialogs.

The (( OK )) button provided to the user at this point doesn't actually allow the user to solve the problem, in reality it just allows the Thunderbird to get away with not solving it.

I'm not sure what's happening with the backend side of things here, so I'm adding david to the cc.  But we should probably have a better policy of downloading the accounts you have in view first, then downloading the other accounts after.
Assignee: nobody → clarkbw
Depends on: 257942
OS: Other → All
Hardware: PC → All
Target Milestone: --- → Thunderbird 3

Comment 13

9 years ago
2008.10.02 -- 20:35

Had to click "OK" six times for Tbird to complete the mail download.

This is added again, because I suspect there is not idea of the frequency of occurrence of this issue. 

If I disable one account that is downloading at the same time, the problem does not occur.

Comment 14

9 years ago
2008.10.14 -- 23:43

The need to respond to "OK" was required 170 times.

I had been out of town for 11 days.

Account "a" had 1291 messages
Account "b" had  554 messages
Account "c" had   23 messages

Instead of "clicking OK" I just held down the ENTER key.  As fast as the msssages appeard, they were responded to so it was just a flash.

By the time the download for the account with 1291 messages had downloaded about 170, the other accounts had completed their downloads and no more messages occurred.

This is added again, because I suspect there is not idea of the frequency of
occurrence of this issue. 

I had disabled the download of the account I thought was the biggest offender, but the others came into play.

Is there a problem with offering a check box that says "Do not display this message again"

Maybe I should make a clip to hold the Enter key depressed until e-mail had completed downloading.

Addiding a checkbox seems like such an easy work around.
Sufficient recent QA info has come in, so removing qawanted keyword.
Flags: wanted-thunderbird3?
Keywords: qawanted
Some new notes on the activity manager.  This kind of action likely (at least) requires some kind of try again action instead of the simple user prompt.

https://wiki.mozilla.org/Thunderbird:Activity_Manager

Comment 17

9 years ago
2008.10.15 -- 16:58

"This kind of action likely (at least) requires some kind of try again action instead of the simple user prompt."  

There is NO OTHER TYPE OF ACTION REQUIRED or permitted.  The user MUST click "OK" to proceed.  All mail download stops until "OK" is responded to either by clicking or using the Enter key.  The user DOES NOT have any choice of any other  action.  Well, I guess Tbird could be aborted with task manager or computer shut down.  However, the consequences are probably unpredictable and undesirable.


Had to click "OK" 12 times for Tbird to complete the mail download.

This is added again, because I suspect there is no idea of the frequency of
occurrence of this issue.

Comment 18

9 years ago
the message box mentioned in the topic appears here very often, when I download my emails in the morning. Its a box with about 10.000 mails per morning, with alot of spam and automated emails. quite annyoing...

Comment 19

9 years ago
2008.10.16 -- 10:58

Had to click "OK" 10 times for Tbird to complete the mail download.

This is added again, because I suspect there is no idea of the frequency of
occurrence of this issue.

Does anyone working with the code get the idea that this is a issue that can be resolved really easy?  Add an option to "Don't show this again".  How difficult is this?

Comment 20

9 years ago
No one thinks this is OK, but we need to figure out how to reproduce it in order to fix the underlying problem. Changing the alert to a status message would get rid of one annoyance, but the messages still wouldn't be filtered. Do you have multiple accounts filtering into the same junk folder? 

We could serialize all the pop3 fetches on startup (I assume this is POP3), though for users with completely separate accounts(no cross-filtering), this isn't needed.

Comment 21

9 years ago
Please accept my apologies for my delay.  I've been away and ill.

There is some cross filtering, more than one account filtering to the same destination.

I may have mis counted by a couple, but a count filters (account) filter count is the scheme used --
(1) - 55, (2) - 3, (3-8) - 0, (9) - 90, (10) - 101, (11-12) -  0, (13) - 1, (14-21) - 0

I have a couple of domains.  In a few instances mail to some addresses are addressed to addressed@mydomain.com and others go to catchall@mydomain.com.  Filters for these two addresses generally move mail to account 1.  I probably received 300 messages Mon-Fri the the accounts with lots of filters 1, 9 & 10.

If there is anything I can do to help, please let me know.

All mail is POP3.  The three heavily filtered accounts are all on the same domain, but different e-mail addresses.

Comment 22

9 years ago
upon returning from a 12 day holiday, I had 123, 628 and 1172 messages waiting.  There were 111 messages that had to be responded to in order for the mail download to proceed.

Comment 23

9 years ago
cc: some others for insight

Speculation: Can antivirus (with pop) introduce problems?

Please examine these bugs ...

A smattering of possibly related/similar (pop only):
- bug 152675 - Getting an error about the folder being processed (compacting) ...
- Bug 323520 - POP3 download stuck in "This folder is being processed" when server drops connection after RETR (unconfirmed)
- Bug 304580 - pop3 retrieval of partially downloaded message is cancelled when a local message is selected
-  Bug 324467 - TBird 1.5 fails to automatically filter on message body, if Anti-Virus quarentining is ON(mailnews.downloadToTempFile=true). POP3 not IMAP

More strictly the filter side ...:
-  Bug 395369 -  Corrupt local Inbox.msf almost daily when using filters to copy from IMAP Inbox after message "can't filter ... another operation is in progress"
-  Bug 139215 -  mail not filtered while compacting folders
-  Bug 168648 -  Cannot filter (move) messages to Inbox that is busy (fetching its own mail)
Severity: normal → major
Summary: frequent interruptions by popup saying "Cannot move messages to folder <name> because another operation is in progress" → frequent interruptions by popup saying "Cannot move messages to folder <name> because another operation is in progress" [pop3]

Comment 24

9 years ago
I'm frustrated by the current behavior of having to click on a box to ack that tbird is busy processing messages in a folder, and can't do more than one thing at a time when the target mailbox is being accessed by these separate processes.

The user shouldn't really care that lots of stuff is going on in the background, until it really affects him/her.  For example, I get messages that my filter that moves mail into the junk or other folders is busy because more than one mailbox is downloading mail at the same time and attempting to move the mail into the same folder.

I really don't need to know that there's a conflict, but...I still want my filters to do their jobs, without ANY intervention on my part. If there's a conflict, one of the processes will win and the others will have to wait. The ones that are waiting for the resource shouldn't lock up the user interface, but should, instead, queue up the work. When the resource is free, the queues can be processed.  This is similar (at least in appearances) to how I can view mail in my inbox, and, while I'm reading mail, the filters move messages to other folders. I see messages disappear from my inbox, and sometimes see a message in the main window that the message I was looking at is no longer available.

So...deal with conflicts silently, but still get the work done.  I can't run filters manually...even if I knew when I needed to (because some operation didn't complete), I have too many filters to have to run them manually, except in a once-in-a-year emergency.

Comment 25

9 years ago
Is is asking too much to allow these conflicts to post the message that they did occur and CONTINUE processing?

The present operation has everything stop.  The user must then click OK and things continue.  The user does not have any other option except click OK and things continue.  What is the problem with letting things continue without requiring a response? 

I've got several mail accounts.  Because of this requirement to acknowledge the problem, it requires personal attention to respond.  One account may have 65 messages, another 45 and another 12, all being downloaded.

What is the reason personal attention is required since there are no options except continue when the issue is recognized?

Since things will continue processing when "OK" is acknowledged, why not just post a message this occurred and keep going anyway?

Is this request unreasonable?  Wouldn't it be very easy to modify a couple lines of code to allow the process to continue rather than wait for acknowledgment?

Comment 26

9 years ago
If it is of any interest, I get the message daily.  Depending on how often I start Tbird, it can happen several times a day.  In the morning, "OK" must be acknowledged at least 6 times, if not more.  It has been as high as 15 or so.

Comment 27

7 years ago
See also bugs: 392680, and the variants on messaging at: 592235, 584181.

Though initially marked dupes, the variants address the problem that when messaging is provided, there is no reference to the account which generated the message.   This would include status bar messages and modal alerts, and would apply to non modal alerts.

For the next planned release, may I suggest a broader fix which
contemplates, generally, that all user messaging should provide the account? 
This would include all status bar messages and all alert boxes?   [Maybe an
exception for where there is only ONE account on the program....?]
(Reporter)

Comment 28

7 years ago
That's a different problem.  I don't want TB using "alert boxes" AT ALL, especially when it breaks message downloading if I don't respond to them fast.

Comment 29

7 years ago
John, a good point....I agree that a modal alert should be reserved to those situations where ceasing operation is an imperative until the user makes a decision.   Clearly, for most of these alerts you discuss, that is not the case.

. . . Which is why I raise the possibility of non-modal alerts, i.e., those that do not delay other threads or activity of TBird.

The fix, then, for these alerts  is to make them modal only when necessary, and generally non-modal otherwise, and to always include the account which raised the error in the error message.

[see other referenced bugs...including Bug 592235]

Updated

7 years ago
Blocks: 168648
Summary: frequent interruptions by popup saying "Cannot move messages to folder <name> because another operation is in progress" [pop3] → eliminate modal dialog window, move to activity manager entry, to avoid frequent interruptions by popup saying "Cannot move messages to folder <name> because another operation is in progress" [pop3]
I shouldn't be the assignee for these bugs.  Filter against clarkbfilter to delete all these from your emails.
Assignee: clarkbw → nobody
Flags: wanted-thunderbird3?
Duplicate of this bug: 777726

Comment 32

4 years ago
I experienced this bug today :/

Profile with 3 IMAP accounts, each has ~15 sub folder I subscribed. I went offline and choose "Download & Sync" and suddenly I got hundreds of

  The operation failed because another operation is using the folder...

modal messages.

I keep ESC pressed for 1 minute but these alerts won't stop. I'd to close Thunderbird using the taskmanager.

I am using Thunderbird 24.1.0 on Windows 7.

Comment 33

3 years ago
I get this several times every day, up to ten modal messages at once.

Steps to Reproduce: Have IMAP and several IMAP-folders, start many operations simultaneously (e.g. click quickly on different folders).

Happens randomly, whenever Thunderbird is doing something in the background and I just want to open a folder.

This is very bad, very serious and should be resolved.


Thunderbird 24.5.0, Linux Mint

Updated

3 years ago
Duplicate of this bug: 1034720

Comment 35

3 years ago
"This folder is being processed. Please wait until processing is complete to get messages"
But Thunderbird initiated getting messages, not me. I have several email accounts configured to get messages every 20 minutes, and one set to every 5 minutes. I don't even know what "processing" is not complete.

Best work-around I've found is leave that message box up for 15 minutes, and then click OK. (Clicking OK when it pops up requires dozens or even hundreds of clicks.)

Thunderbird should set a flag during long operations (compacting folders, filtering messages, even downloading huge messages or server connection down) and only get messages when the program isn't busy; and of course, have a process that checks for hung operations.

Put messages the user can't do anything about, in the Activity Manager, not a repeating message box!

Comment 36

3 years ago
I get, "Cannot move messages to folder <name> because another operation is in progress" almost as frequently as "This folder is being processed. Please wait until processing is complete to get messages".

Comment 37

3 years ago
Perhaps related: I frequently see displayed at bottom left corner of main Thunderbird window "4294967295 messages downloaded" (not sure if always the same huge number, is always 4._ billion), and is displaying now after got "This folder is being processed. Please wait until processing is complete to get messages", waited several minutes and clicked OK, and downloading messages completed.

Earliest entry in Activity Manager after restarting program is 10:36am. Got the "4294967295 messages downloaded" in Activity Manager at 12:26pm and 12:27pm. These are surrounded by "No messages to download" and "1 message downloaded" messages. 

Largest folder, Junk, has over 115,000 messages and total size of all message folders is over 2GB, so lot of time processing folders... (Really need way to specify filters based on the text of the From field, which is often duplicated by spammers, not only the email address of the From field, which is rarely duplicated.)

Comment 38

2 years ago
I'd just like to chime in since there hasn't been any activity on this for a while. Thunderbird 38.3.0, still reproducible very very often very annoyingly. I have 8 IMAP and one POP3 accounts, all set to automatically download mail once in a while via the account settings. While reading, deleting or browsing through, randomly the message pops. FSM forbid if I click on the "Offline -> Download/Sync now" button. I would have to go through clicking the dialog about 20 times in a row. There is no input from me required to fix the issue, I'm not doing the background tasks, the most logical resolution would be waiting for a period and retrying since asking for us to click OK amounts to the same but with the added bonus of an annoyed user!

Comment 39

2 years ago
An other way to trigger this is using the "Compact Now" command, which will definitely cause it since invariably Thunderbird will attempt to open the folder it's compacting to receive a mail from the IMAP folder. I have just replicated it. Clicked on Compact Now, then after a couple of seconds, bam! "The folder 'blabla' cannot be compacted because an other operation is in progress, please try again later." The error repeats many times, I have plenty of folders (and no filters). This message is nonsensical, why not give me the option to retry, or stop background processes that can create conflicts that is outside the user's own control.

Updated

2 years ago
Target Milestone: Thunderbird 3 → ---

Updated

4 months ago
Duplicate of this bug: 564751
You need to log in before you can comment on or make changes to this bug.